package meerkat.voting.gui.select_candidate_by_picture;

import javafx.fxml.FXML;
import javafx.scene.input.MouseEvent;
import meerkat.voting.gui.TwoWayNode;

/**
 * Created by Vladimir Eliezer Tokarev on 8/27/2016.
 * SelectCandidateNameController handle the behavior of select by picture screen
 */
public class SelectCandidateByPictureController extends TwoWayNode {

    @FXML
    private void GetToSelectByName(MouseEvent mousePressed){
        this.currentStage.close();
        this.currentStage.setScene(this.previous.GetCurrentScene());
        this.previous.UpdateNode();
        this.currentStage.show();
    }

    @FXML
    private void GetToBallotSummary(MouseEvent mousePressed){
        this.currentStage.close();
        this.currentStage.setScene(this.next.GetCurrentScene());
        this.next.UpdateNode();
        this.currentStage.show();
    }

    /**
     * Updates the voter options according to the VotingBoothConfiguration
     */
    private void UpdateVoterOptions(){
        PicturesAnswersUpdater updater = new PicturesAnswersUpdater(this.currentStage);
        updater.UpdateAnswers(this.config.NameSelectionByPictureQuestion);
    }

    @Override
    public void UpdateNode() {
        this.UpdateVoterOptions();
    }
}
